/**
 * @author Joffré Sánchez <Joffre@interactive.pe>
 * @file Description
 * @desc Created on 2019-04-23 10:52:25 am
 * @copyright APPI SASU
 */
* {
	/* background-color: rgba(0, 0, 0, .1); */
}

@font-face {
	font-family: EMprint;
	src: url(/fonts/EMprint-LightItalic.eot);
	src: url(/fonts/EMprint-LightItalic.eot?#iefix) format("embedded-opentype"), url(/fonts/EMprint-LightItalic.woff) format("woff"), url(/fonts/EMprint-LightItalic.ttf) format("truetype"), url(/fonts/EMprint-LightItalic.svg#EMprint) format("svg");
	font-weight: 300;
	font-style: italic
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
	@font-face {
		font-family: EMprint;
		src: url(font-url('EMprint-LightItalic.svg#family')) format("svg")
	}
}

@font-face {
	font-family: EMprint;
	src: url(/fonts/EMprint-Light.eot);
	src: url(/fonts/EMprint-Light.eot?#iefix) format("embedded-opentype"), url(/fonts/EMprint-Light.woff) format("woff"), url(/fonts/EMprint-Light.ttf) format("truetype"), url(/fonts/EMprint-Light.svg#EMprint) format("svg");
	font-weight: 300;
	font-style: normal
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
	@font-face {
		font-family: EMprint;
		src: url(font-url('EMprint-Light.svg#family')) format("svg")
	}
}

@font-face {
	font-family: EMprint;
	src: url(/fonts/EMprint-Regular.eot);
	src: url(/fonts/EMprint-Regular.eot?#iefix) format("embedded-opentype"), url(/fonts/EMprint-Regular.woff) format("woff"), url(/fonts/EMprint-Regular.ttf) format("truetype"), url(/fonts/EMprint-Regular.svg#EMprint) format("svg");
	font-weight: 400;
	font-style: normal
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
	@font-face {
		font-family: EMprint;
		src: url(font-url('EMprint-Regular.svg#family')) format("svg")
	}
}

@font-face {
	font-family: EMprint;
	src: url(/fonts/EMprint-Bold.eot);
	src: url(/fonts/EMprint-Bold.eot?#iefix) format("embedded-opentype"), url(/fonts/EMprint-Bold.woff) format("woff"), url(/fonts/EMprint-Bold.ttf) format("truetype"), url(/fonts/EMprint-Bold.svg#EMprint) format("svg");
	font-weight: 700;
	font-style: normal
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
	@font-face {
		font-family: EMprint;
		src: url(font-url('EMprint-Bold.svg#family')) format("svg")
	}
}

@font-face {
	font-family: EMprint;
	src: url(/fonts/EMprint-BoldItalic.eot);
	src: url(/fonts/EMprint-BoldItalic.eot?#iefix) format("embedded-opentype"), url(/fonts/EMprint-BoldItalic.woff) format("woff"), url(/fonts/EMprint-BoldItalic.ttf) format("truetype"), url(/fonts/EMprint-BoldItalic.svg#EMprint) format("svg");
	font-weight: 700;
	font-style: italic
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
	@font-face {
		font-family: EMprint;
		src: url(font-url('EMprint-BoldItalic.svg#family')) format("svg")
	}
}


body {
	margin: 0;
	padding: 0;
	font-family: 'EMprint';
	font-weight: normal;
	font-style: normal;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	color: #2369bd;
	height: 100vh;
	display: grid;
	grid-template-areas: "encabezado""contenido""pie";
	grid-template-rows: auto 1fr auto;
	-webkit-box-pack: stretch;
	-o-box-pack: stretch;
	-ms-flex-pack: stretch;
	justify-content: stretch;
	-webkit-box-align: stretch;
	-o-box-align: stretch;
	-ms-flex-align: stretch;
	align-items: stretch;
	box-sizing: border-box;
}

header {
	display: grid;
	grid-template-columns: auto 1fr 15vw;
	grid-column-gap: 1rem;
	grid-template-areas: "logo menu usuario";
	justify-items: stretch;
	-webkit-box-align: center;
	-o-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	color: #2369bd;
	background-color: #fff;
	background-image: -webkit-gradient(linear, left top, left bottom, from(#fff), color-stop(25%, #fff), to(#e6e6e6));
	background-image: linear-gradient(#fff, #fff 25%, #e6e6e6);
	height: 75px;
	padding: 1rem;
	box-sizing: border-box;
}

main {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	grid-area: contenido;
	overflow: auto;
	background-color: #2369bd;
	padding: .5rem;
}

footer {
	display: grid;
	grid-template-columns: 25vw 1fr;
	grid-column-gap: 1rem;
	grid-template-areas: "creditos enlaces";
	justify-items: start;
	-webkit-box-align: center;
	-o-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	color: #919191;
	background-color: #f4f4f4;
	font-size: 0.625rem;
	height: 40px;
	padding: 1rem;
	box-sizing: border-box;
}

footer p {
	margin: 0;
}

figure {
	margin: 0;
	width: 100%;
}

figure img {
	display: block;
	max-width: 100%;
	max-height: 100%;
	object-fit: contain;
}

strong {
	font-weight: bolder;
}

.lista {
	display: grid;
	grid-template-columns: repeat(3, auto);
	grid-template-rows: auto;
	grid-auto-rows: auto;
	grid-gap: 1rem;
	max-width: 72rem;
	width: 100%;
	margin: .5em auto;
	padding: 1rem;
	background-color: #fff;
	box-sizing: border-box;
	border-radius: 0.2rem;
}

.archivo {
	display: grid;
	grid-template-areas: "imagen detalle""imagen acciones";
	grid-template-columns: 160px 1fr;
	grid-template-rows: minmax(auto, 1fr) auto;
	grid-gap: 0.5rem;
	padding: 0.5rem;
	background-color: rgba(0, 0, 0, 0.03);
	border: 1px solid #c8c8c8;
	cursor: pointer;
	overflow: hidden;
	border-radius: 0.2rem;
}

.archivo:hover {
	background-color: rgba(0, 0, 0, 0.08);
}

.archivo figure {
	/* flex: 0 0 128px; */
	grid-area: imagen;
	width: 160px;
	height: 160px;
	max-width: 100%;
	/* max-height: 100%; */
	display: flex;
	justify-content: center;
	align-items: center;
	margin: -.5rem;
}

.archivo .detalle {
	/* flex: 1 0 auto; */
	grid-area: detalle;
}

.archivo .detalle h4 {
	word-wrap: break-word;
	word-break: break-all;
	line-height: 1.4;
	letter-spacing: 0.01em;
	color: #7d7d7d;
	margin-bottom: .5em;

}

.archivo .detalle p {
	margin-bottom: .5em;

}

.archivo .acciones {
	/* flex: 0 1 auto; */
	grid-area: acciones;
	display: flex;
	/* padding: 0.5rem; */
}


.archivo button {
	border: none;
	-webkit-box-flex: 1;
	-o-box-flex: 1;
	box-flex: 1;
	-ms-flex: 0 0 32px;
	flex: 0 0 32px;
	width: 32px;
	height: 32px;
	border-radius: 1rem;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-o-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-o-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	padding: 0;
	margin: 0 0.1rem;
	cursor: pointer;
	color: #7ba5d7;
	background-color: transparent;
}

.archivo button:hover {
	background-color: #e9f0f8;
}

.archivo button svg {
	-webkit-box-flex: 1;
	-ms-flex: 1 1 auto;
	flex: 1 1 auto;
	width: 20px;
	height: 20px;
	fill: #7ba5d7;
}

.contenido {
	display: grid;
	grid-template-columns: auto 1fr auto;
	grid-gap: 1rem;
	background-color: white;
	padding: 1rem;
	border-radius: .2rem;
}

.contenido .previo {
	width: auto;
}

.contenido .previo img {
	max-height: none;
}

.contenido .detalle {
	padding: .5rem 0;
}

.contenido .detalle h4 {
	font-weight: bold;
	margin-bottom: .5rem;
	text-transform: uppercase;
	font-size: 1.5rem;
}

.contenido .detalle p {
	color: grey;
}

.contenido .acciones {
	align-self: end;
}

.contenido .acciones a {
	display: block;
	text-decoration: none;
	padding: .5rem 1rem;
	color: white;
	background-color: #7ba5d7;
	border-radius: 0.2rem;
	font-weight: bold;
	line-height: 1.3;
	text-transform: uppercase;
	font-size: 0.8rem;
}
